
From: Tobias Klauser <tklauser@nuerscht.ch>

Use the DMA_32BIT_MASK constant from dma-mapping.h when calling
pci_set_dma_mask() or pci_set_consistent_dma_mask() instead of custom macros.

This patch includes dma-mapping.h explicitly because it caused errors on some
architectures otherwise.  See
http://marc.theaimsgroup.com/?t=108001993000001&r=1&w=2 for details

Signed-off-by: Tobias Klauser <tklauser@nuerscht.ch>
Cc: Jeff Garzik <jgarzik@pobox.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/wireless/ipw2200.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

diff -puN drivers/net/wireless/ipw2200.c~drivers-net-wireless-ipw2200-use-the-dma_32bit_mask-constant drivers/net/wireless/ipw2200.c
--- 25/drivers/net/wireless/ipw2200.c~drivers-net-wireless-ipw2200-use-the-dma_32bit_mask-constant	2005-06-05 23:50:29.000000000 -0700
+++ 25-akpm/drivers/net/wireless/ipw2200.c	2005-06-05 23:50:29.000000000 -0700
@@ -6979,10 +6979,9 @@ static int ipw_pci_probe(struct pci_dev 
 
 	pci_set_master(pdev);
 
-#define PCI_DMA_32BIT 0x00000000ffffffffULL
-	err = pci_set_dma_mask(pdev, PCI_DMA_32BIT);
+	err = pci_set_dma_mask(pdev, DMA_32BIT_MASK);
 	if (!err) 
-		err = pci_set_consistent_dma_mask(pdev, PCI_DMA_32BIT);
+		err = pci_set_consistent_dma_mask(pdev, DMA_32BIT_MASK);
 	if (err) {
 		printk(KERN_WARNING DRV_NAME ": No suitable DMA available.\n");
 		goto out_pci_disable_device;
_
